#!/bin/sh
#delete old certs
rm -Rf /etc/config/webs/certs
rm /etc/config/webs/server.pem
#create private key and self-signed sertificate
openssl req -x509 -newkey rsa:1024 -days 10000 -keyout /etc/config/webs/server-key.pem -out /etc/config/webs/server-cert.pem -config /etc/config/webs/cfg -nodes
#strip pass phrase
openssl rsa -in /etc/config/webs/server-key.pem -out /etc/config/webs/server-key-nopassword.pem
cat /etc/config/webs/server-key-nopassword.pem /etc/config/webs/server-cert.pem > /etc/config/webs/server.pem
mkdir /etc/config/webs/certs
mv /etc/config/webs/server-cert.pem /etc/config/webs/certs/cacert.pem
mv /etc/config/webs/server-key.pem /etc/config/webs/certs/cakey.pem
rm /etc/config/webs/server-key-nopassword.pem
#tar cf webr_conf.tar server.pem ./certs
#rm *.pem
#rm -r certs
#mv webs_conf.tar /tftpboot/makarevich/tau72sip/conf